﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace WarmlyLocomotive
{
    [Serializable]
    internal class LocomotiveNotFoundException : ApplicationException
    {
        public LocomotiveNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public LocomotiveNotFoundException() : base() { }
        public LocomotiveNotFoundException(string message) : base(message) { }
        public LocomotiveNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected LocomotiveNotFoundException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}
